%define modname ssh2
%define soname %{modname}.so
%define inifile A36_%{modname}.ini

Summary:	PHP bindings for the libssh2 library
Name:		php-%{modname}
Version:	0.12
Release:	%mkrel 3
Group:		Development/PHP
License:	PHP License
URL:		http://pecl.php.net/package/ssh2
Source0:	http://pecl.php.net/get/ssh2-%{version}.tgz
# svn checkout http://svn.php.net/repository/pecl/ssh2/trunk ssh2
Patch0:		php-ssh2-lib64.diff
BuildRequires:	php-devel >= 3:5.2.0
BuildRequires:	openssl-devel
BuildRequires:	zlib-devel
BuildRequires:	libssh2-devel >= 1.2
Epoch:		1

%description
Provides bindings to the libssh2 library which provide access to resources
(shell, remote exec, tunneling, file transfer) on a remote machine using a
secure cryptographic transport.

%prep

%setup -q -n ssh2-%{version}
[ "../package*.xml" != "/" ] && mv ../package*.xml .

%patch0 -p0

%build
%serverbuild

phpize
%configure2_5x --with-libdir=%{_lib} \
    --with-%{modname}=shared,%{_prefix}

make
mv modules/*.so .

%install
rm -rf %{buildroot}

install -d %{buildroot}%{_libdir}/php/extensions
install -d %{buildroot}%{_sysconfdir}/php.d

install -m0755 %{soname} %{buildroot}%{_libdir}/php/extensions/

cat > %{buildroot}%{_sysconfdir}/php.d/%{inifile} << EOF
extension = %{soname}
EOF

%clean
rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc package*.xml
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/php.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php/extensions/%{soname}




%changelog

* Wed Jan 30 2013 oden <oden> 1:0.12-3.mga3
+ Revision: 393321
- rebuilt for php-5.4.11

* Sun Jan 13 2013 umeabot <umeabot> 1:0.12-2.mga3
+ Revision: 377589
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Oct 25 2012 fwang <fwang> 1:0.12-1.mga3
+ Revision: 310047
- new version 0.12

* Mon Mar 19 2012 luigiwalser <luigiwalser> 1:0.11.3-2.mga2
+ Revision: 223935
- httpd restart is handled by filetriggers now

* Sun Jan 22 2012 spuhler <spuhler> 1:0.11.3-1.mga2
+ Revision: 199848
- upgrade to 0.11.3

* Sat Jan 15 2011 spuhler <spuhler> 1:0.11.2-4.mga1
+ Revision: 19524
-BuildRoot:	%%{_tmppath}/%%{name}-%%{version}-%%{release}-buildroot
- imported package php-ssh2

